package reqkindboxservice

import "git.gocasts.ir/ebhomengo/niki/entity"

type Repository interface {
	AddReqKindBox(reqKindBox entity.ReqKindBox) (entity.ReqKindBox, error)
	EditReqKindBox(reqKindBoxID uint, reqKindBox entity.ReqKindBox) (entity.ReqKindBox, error)
	DeleteReqKindBox(reqKindBoxID uint) error
	GetAllReqKindBox() ([]entity.ReqKindBox, error)
	GetReqKindBoxByID(reqKindBoxID uint) (entity.ReqKindBox, error)
}

type Service struct {
	repo Repository
}

func New(repository Repository) Service {
	return Service{
		repo: repository,
	}
}
